# Get the objects of a specified type from layer and layer indices.

from maptek import vulcan

dgd_file = "pydemo.dgd.isis"  # design database to access
layer_name = 'POINTS'  # layer to use

with vulcan.dgd(dgd_file, "r") as dgd:  # open up the database in read mode
    layer = dgd.get_layer(layer_name) # access layer
    types = [vulcan.polyline]

    for i, obj in layer.get_objects_enumerate(types):
        print(i, type(obj))